org.jboss.jca.core.spi.naming

## Interface JndiStrategy

- All Superinterfaces:
    java.lang.Cloneable, javax.naming.spi.ObjectFactory

      public interface JndiStrategy
      extends java.lang.Cloneable, javax.naming.spi.ObjectFactory

  The SPI for a JNDI strategy
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `bindAdminObjects(java.lang.String deployment, java.lang.Object[] aos)` Bind admin objects for a deployment
    `java.lang.String[]` | `bindAdminObjects(java.lang.String deployment, java.lang.Object[] aos, java.lang.String[] jndis)` Bind admin objects for a deployment
    `java.lang.String[]` | `bindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs)` Bind connection factories for a deployment
    `java.lang.String[]` | `bindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs, java.lang.String[] jndis)` Bind connection factories for a deployment
    `JndiStrategy` | `clone()` Clone the JNDI strategy implementation
    `void` | `unbindAdminObjects(java.lang.String deployment, java.lang.Object[] aos)` Unbind admin objects for a deployment
    `void` | `unbindAdminObjects(java.lang.String deployment, java.lang.Object[] aos, java.lang.String[] jndis)` Unbind admin objects for a deployment
    `void` | `unbindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs)` Unbind connection factories for a deployment
    `void` | `unbindConnectionFactories(java.lang.String deployment, java.lang.Object[] cfs, java.lang.String[] jndis)` Unbind connection factories for a deployment

    - ### Methods inherited from interface javax.naming.spi.ObjectFactory

      `getObjectInstance`

- - ### Method Detail

    - #### bindConnectionFactories

          java.lang.String[] bindConnectionFactories(java.lang.String deployment,
                                                     java.lang.Object[] cfs)
                                              throws java.lang.Throwable

      Bind connection factories for a deployment
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
      Returns:
        The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindConnectionFactories

          java.lang.String[] bindConnectionFactories(java.lang.String deployment,
                                                     java.lang.Object[] cfs,
                                                     java.lang.String[] jndis)
                                              throws java.lang.Throwable

      Bind connection factories for a deployment
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
        `jndis` - The JNDI names for the connection factories
      Returns:
        The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindConnectionFactories

          void unbindConnectionFactories(java.lang.String deployment,
                                         java.lang.Object[] cfs)
                                  throws java.lang.Throwable

      Unbind connection factories for a deployment
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindConnectionFactories

          void unbindConnectionFactories(java.lang.String deployment,
                                         java.lang.Object[] cfs,
                                         java.lang.String[] jndis)
                                  throws java.lang.Throwable

      Unbind connection factories for a deployment
      Parameters:
        `deployment` - The deployment name
        `cfs` - The connection factories
        `jndis` - The JNDI names for the connection factories
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindAdminObjects

          java.lang.String[] bindAdminObjects(java.lang.String deployment,
                                              java.lang.Object[] aos)
                                       throws java.lang.Throwable

      Bind admin objects for a deployment
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
      Returns:
        The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### bindAdminObjects

          java.lang.String[] bindAdminObjects(java.lang.String deployment,
                                              java.lang.Object[] aos,
                                              java.lang.String[] jndis)
                                       throws java.lang.Throwable

      Bind admin objects for a deployment
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
        `jndis` - The JNDI names for the admin objects
      Returns:
        The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindAdminObjects

          void unbindAdminObjects(java.lang.String deployment,
                                  java.lang.Object[] aos)
                           throws java.lang.Throwable

      Unbind admin objects for a deployment
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### unbindAdminObjects

          void unbindAdminObjects(java.lang.String deployment,
                                  java.lang.Object[] aos,
                                  java.lang.String[] jndis)
                           throws java.lang.Throwable

      Unbind admin objects for a deployment
      Parameters:
        `deployment` - The deployment name
        `aos` - The admin objects
        `jndis` - The JNDI names for the admin objects
      Throws:
        `java.lang.Throwable` - Thrown if an error occurs

    - #### clone

          JndiStrategy clone()
                      throws java.lang.CloneNotSupportedException

      Clone the JNDI strategy implementation
      Returns:
        A copy of the implementation
      Throws:
        `java.lang.CloneNotSupportedException` - Thrown if the copy operation isn't supported

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)